from portkey_ai import Portkey
# Initialize the Portkey client
portkey = Portkey(
api_key="PORTKEY_API_KEY",
)
# Update workspace
workspace = portkey.admin.workspaces.update(
workspace_id='WORKSPACE_ID',
name='WORKSPACE 0909',
description='This is a test description',
defaults={
"x": "y"
}
)
print(workspace)
{}Update Workspace
PUT
/
admin
/
workspaces
/
{workspaceId}
from portkey_ai import Portkey
# Initialize the Portkey client
portkey = Portkey(
api_key="PORTKEY_API_KEY",
)
# Update workspace
workspace = portkey.admin.workspaces.update(
workspace_id='WORKSPACE_ID',
name='WORKSPACE 0909',
description='This is a test description',
defaults={
"x": "y"
}
)
print(workspace)
{}Documentation Index
Fetch the complete documentation index at: https://portkey-docs-feat-byteplus-provider.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
Body
application/json
Response
200 - application/json
OK
The response is of type object.
Last modified on May 24, 2026
Was this page helpful?
⌘I

